<app-header-secundary [headerConf]="headerConf"></app-header-secundary>

<div class="container padding-top-100">

    <div class="steps">
        <div class="progress-form">
            <div class="tab" [class.active]="progrressSteps >= 1"></div>
            <div class="tab" [class.active]="progrressSteps >= 2"></div>
            <div class="tab" [class.active]="progrressSteps >= 3"></div>
            <div class="tab" [class.active]="progrressSteps == 4"></div>
        </div>
        <div class="step one" *ngIf="progrressSteps == 1">
            <h2>Seleccione el tipo de cuena que desea crear:</h2>

            <div class="card" [class.active]="accountType=='personal'" (click)="selectAccountType('personal')">
                <div class="check-option">
                    <i class="far fa-check-circle fa-2x" *ngIf="accountType=='personal'" [class.checked-active]="accountType=='personal'"></i>
                    <i class="far fa-circle fa-2x" *ngIf="accountType!=='personal'"></i>
                </div>
                <div class="icon">
                    <img src="https://cdn.iconscout.com/icon/free/png-256/home-803-450320.png">
                </div>
                <h5 class="card-title">Cuenta personal</h5>
                <div class="desc">Buscar productos y restaurantes cercanos a mi comunidad.</div>
            </div>

            <div class="card" [class.active]="accountType=='business'" (click)="selectAccountType('business')">
                <div class="check-option">
                    <i class="far fa-check-circle fa-2x" *ngIf="accountType=='business'" [class.checked-active]="accountType=='business'"></i>
                    <i class="far fa-circle fa-2x" *ngIf="accountType!=='business'"></i>
                </div>
                <div class="icon">
                    <img src="https://icons.iconarchive.com/icons/sonya/swarm/256/Shopping-icon.png" >
                </div>
                <h5 class="title">Cuenta de negocios</h5>
                <div class="desc">Tiendas locales, restaurantes. Conectar con la comunidad.</div>
            </div>

        </div>

        <div class="step two" *ngIf="progrressSteps == 2">
            <h2>Información</h2>
            <form class="form-custum">
                <div class="item">
                    <input type="text" class="form-control" required  placeholder="Nombre(s)">
                </div>

                <div class="item">
                    <input type="text" class="form-control" required  placeholder="Apellidos">
                </div>

                <div class="item">
                    <select name="sex" id="sex" class="form-control" required >
                        <option value="" selected >Sexo</option>
                    </select>
                </div>

            </form>
            <app-location></app-location>

        </div>

        <div class="step three" *ngIf="progrressSteps == 3">
            <h2>¿Cuál de estas opciones reflejan tu estilo de vida?</h2>

            <div class="categories">
                <div *ngFor="let category of categories; let index=index" (click)="checkCategory(index,'intereses')" [class.active]="activeInactive(index,'intereses')" class="category">
                    {{ category }}
                </div>
            </div>

        </div>

        <div class="step four" *ngIf="progrressSteps == 4">
            <h2>¡A un paso de terminar, Selecciona tus intereses:</h2>

            <div class="categories">
                <div *ngFor="let styl of lifeStyles; let indexstyle=index" (click)="checkCategory(indexstyle,'styles')" [class.active]="activeInactive(indexstyle,'styles')" class="category">
                    {{ styl }}
                </div>
            </div>

        </div>
    </div>

    <button class="btn btn-pink w-100" (click)="nextSave()"> Continuar </button>
</div>


